//* (c) Martinov G.M.
//* Created 11.02.00

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include <conio.h>

  void HelpSesion();


int main( int argc, char *argv[ ], char *envp[ ])
{
  char FileName [_MAX_PATH];
  char Drive[ _MAX_DRIVE ];
  char Dir[ _MAX_DIR ];
  char FName[ _MAX_FNAME ];
  char Ext[ _MAX_EXT ];

  struct tm  time_of_day;
  time_t     ltime;

  char FileNameDest[_MAX_PATH];
  char FileNameEnd [_MAX_PATH];

  if( argc == 1 )
    return 1;

  if ( strcmp(argv[1], "/?") == 0 )
    HelpSesion();

  _fullpath(FileName, argv[1], sizeof(FileName));
  _splitpath(FileName, Drive, Dir, FName, Ext);
  time( &ltime );
  time_of_day = *localtime(&ltime);

  while ( time_of_day.tm_year >= 100 )
    time_of_day.tm_year -= 100;


  strcpy(FileNameDest, Drive);
  strcat(FileNameDest, Dir);
  strcat(FileNameDest, FName);
  strcat(FileNameDest, "%#02d%#02d%#02d"); // "%d%#02d%#02d%#02d"
  sprintf(FileNameEnd, FileNameDest, time_of_day.tm_year, 
          time_of_day.tm_mon+1, time_of_day.tm_mday); //,time_of_day.tm_hour);
          
  if ( argc > 2 )
    strcat(FileNameEnd, argv[2]);
  strcat(FileNameEnd, Ext);

  remove(FileNameEnd);

  rename(argv[1], FileNameEnd);

  return 0; 
} /* main */


// Call HelpSesion -> "CrDate /?"
void HelpSesion()
{ 
  printf("\n");
  printf("Current Date, version 1.1 (Build 1) \n");
  printf("(c) Martinov G.M. \n");
  printf("Created 11.02.00 \n");
  printf("\n");

  printf("CrDate [file name] [text] \n");
  printf("        file name - name of the file, being renamed \n");
  printf("        text      - editional text in file name \n");
  printf("\n");
  printf("CrDate  /?        - help \n");

  printf("\n");
  printf("press Enter ...");
  getch();
  exit(0);
}

